Package org.eclipse.gef.mvc.fx.providers

## Class ConnectionSnappingLocationProvider

- java.lang.Object
- - org.eclipse.gef.mvc.fx.providers.ConnectionSnappingLocationProvider

All Implemented Interfaces:
  `ISnappingLocationProvider`

    public class ConnectionSnappingLocationProvider
    extends java.lang.Object
    implements ISnappingLocationProvider

### Constructor Summary

Constructors
`ConnectionSnappingLocationProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Connection` `getConnection​(IContentPart<? extends javafx.scene.Node> part)` Returns the `Connection` that is used as the basis for determination of `SnappingModel.SnappingLocation`s for the given `IContentPart`.
`java.util.List<SnappingModel.SnappingLocation>` `getHorizontalSnappingLocations​(IContentPart<? extends javafx.scene.Node> part)` Returns the horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.
`protected java.util.List<SnappingModel.SnappingLocation>` `getSnappingLocations​(IContentPart<? extends javafx.scene.Node> part, javafx.geometry.Orientation orientation)` Returns `SnappingModel.SnappingLocation`s with given `Orientation` for the `getConnection(IContentPart)` of the given `IContentPart`.
`java.util.List<SnappingModel.SnappingLocation>` `getVerticalSnappingLocations​(IContentPart<? extends javafx.scene.Node> part)` Returns the vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConnectionSnappingLocationProvider

    public ConnectionSnappingLocationProvider()

### Method Detail

#### getConnection

    protected Connection getConnection​(IContentPart<? extends javafx.scene.Node> part)

Returns the `Connection` that is used as the basis for determination of `SnappingModel.SnappingLocation`s for the given `IContentPart`.

Parameters:
  `part` - The `IContentPart` for which to determine a `Connection` visual.
Returns:
  The `Connection` that is used as the basis for determination of `SnappingModel.SnappingLocation`s for the given `IContentPart`.

#### getHorizontalSnappingLocations

    public java.util.List<SnappingModel.SnappingLocation> getHorizontalSnappingLocations​(IContentPart<? extends javafx.scene.Node> part)

Description copied from interface: `ISnappingLocationProvider`
Returns the horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.

Specified by:
  `getHorizontalSnappingLocations` in interface `ISnappingLocationProvider`
Parameters:
  `part` - The `IContentPart` for which to compute the `SnappingModel.SnappingLocation`s.
Returns:
  A `List` of all horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.

#### getSnappingLocations

    protected java.util.List<SnappingModel.SnappingLocation> getSnappingLocations​(IContentPart<? extends javafx.scene.Node> part,
                                                                                  javafx.geometry.Orientation orientation)

Returns `SnappingModel.SnappingLocation`s with given `Orientation` for the `getConnection(IContentPart)` of the given `IContentPart`.

Parameters:
  `part` - The `IContentPart` for which to determine `SnappingModel.SnappingLocation`s.
  `orientation` - The `Orientation` for the locations.
Returns:
  The `SnappingModel.SnappingLocation`s for the given `IContentPart` and `Orientation`.

#### getVerticalSnappingLocations

    public java.util.List<SnappingModel.SnappingLocation> getVerticalSnappingLocations​(IContentPart<? extends javafx.scene.Node> part)

Description copied from interface: `ISnappingLocationProvider`
Returns the vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.

Specified by:
  `getVerticalSnappingLocations` in interface `ISnappingLocationProvider`
Parameters:
  `part` - The `IContentPart` for which to compute the `SnappingModel.SnappingLocation`s.
Returns:
  A `List` of all vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.